<script setup lang="ts">
const menuOpened = ref<boolean>(false);
const modalOpened = ref<boolean>(false);

const hideModal = () => {
  modalOpened.value = false;
  menuOpened.value = false;
};

const showMenu = () => {
  modalOpened.value = true;
  menuOpened.value = true;
};

let token = getTokenCookie();

const logout = async () => {
  token.value = null;

  hideModal();
  window.location.href = `/connexion`;
};

</script>

<template>
  <div>
    <div class="fr-skiplinks">
      <nav class="fr-container" role="navigation" aria-label="Accès rapide">
        <ul class="fr-skiplinks__list">
          <li>
            <a class="fr-btn" href="#main-content"
              >Aller au contenu principal</a
            >
          </li>
          <li>
            <a class="fr-btn" href="#header-navigation">Menu</a>
          </li>
          <li>
            <a class="fr-btn" href="#fr-footer-1">Pied de page</a>
          </li>
        </ul>
      </nav>
    </div>
    <header role="banner" class="fr-header">
      <div class="fr-header__body">
        <div class="fr-container">
          <div class="fr-header__body-row">
            <div class="fr-header__brand fr-enlarge-link">
              <div class="fr-header__brand-top">
                <div class="fr-header__logo">
                  <p class="fr-logo">Agents en intervention</p>
                </div>
                <div class="fr-header__navbar">
                  <button
                    id="fr-btn-menu-mobile"
                    class="fr-btn--menu fr-btn"
                    :data-fr-opened="menuOpened"
                    aria-controls="header-navigation"
                    aria-haspopup="menu"
                    title="Menu"
                    aria-label="Menu"
                    @click="showMenu"
                  >
                    Menu
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div
        id="header-navigation"
        class="fr-header__menu fr-modal"
        :class="{ 'fr-modal--opened': modalOpened }"
        aria-labelledby="fr-btn-menu-mobile"
      >
        <div class="fr-container">
          <button
            class="fr-link--close fr-link"
            aria-controls="header-navigation"
            @click="hideModal"
          >
            Fermer
          </button>
          <div class="fr-header__menu-links"></div>
          <nav
            id="main-navigation"
            class="fr-nav"
            role="navigation"
            aria-label="Menu principal"
          >
            <ul class="fr-nav__list">
              <li class="fr-nav__item">
                <nuxt-link class="fr-nav__link" to="/">Accueil</nuxt-link>
              </li>
              <li
                v-if="token"
                class="fr-nav__item fr-nav__link"
                @click="logout"
              >
                Déconnexion
              </li>
            </ul>
          </nav>
        </div>
      </div>
    </header>
  </div>
</template>

<style scoped>

header{
  height: var(--height-header);
}
.anct-special-label {
  position: relative;
  z-index: 500;
}

.anct-special-label::after {
  content: "Nouveau";
  position: absolute;
  z-index: 1000;
  top: 3px;
  left: 50%;
  height: fit-content;
  line-height: 19px;
  font-size: 11px;
  font-weight: bold;
  color: white;
  background-color: #00ac8c;
  border-radius: 13px;
  padding: 0 0.8rem;
}

.after-special-label {
  position: relative;
  z-index: 0;
}

.fr-nav__item > .fr-nav__link.nuxt-link-active,
.fr-nav__btn.nuxt-link-active {
  position: relative;
}

.fr-nav__item > .fr-nav__link.nuxt-link-active::before,
.fr-nav__btn.nuxt-link-active::before {
  background-color: var(--text-active-blue-france);
  bottom: 0;
  content: "";
  height: 2px;
  left: 0;
  position: absolute;
  top: auto;
  width: 100%;
}

@media screen and (max-width: 991px) {
  .anct-special-label::after {
    top: 32%;
    left: 8%;
  }
}

@media screen and (max-width: 600px) {
  .anct-special-label::after {
    top: 32%;
    left: 18%;
  }
}
</style>
